Subject: Re: bug#45898: 27.1; wedged in redisplay again

From: Gerd Möllmann <[email-masked]>
Date: Sat, 25 Jun 2022 13:10:14 +0200

> On 2022-06-25,, at 11:57 , Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Gerd Möllmann <[email-masked]>
>> Date: Sat, 25 Jun 2022 11:49:42 +0200
>> Cc: [email-masked]
>> 
>> Or maybe "ticks" is already a good enough name?  We could then simply have update_ticks and good.  Or eticks to not confuse it with time ticks, if that ever happens.
> 
> You mean, just update_ticks?  That's too general, IMO.  I'd like
> people to have an idea what that does when they just see the call.
> 
> But I'm not good with names.

I love update_ticks!  And I'm good with names, trust me ;-).  And I'm volunteering to do the work!

>> You mean a case, where small numbers of ticks sum up by calling these Lisp functions often enough?
> 
> Actually, I meant something even simpler: a Lisp program that calls,
> say, regexp search repeatedly, to accumulate enough ticks that would
> signal an error, thus aborting that Lisp program.

That's 100% what I also meant.  Sorry for not being clear.

Do you think redisplaying_p would suffice as an indicator?  

That should be true if and only if redisplay_internal is in the call stack.  Also, redisplay_internal is a no-op if called recursively.  Or better said, both used to be the case.